hist-methods {xps} | R Documentation

## Density Estimate

### Description

Plot the density estimates for each sample.

Usage

`hist(x, which = "", size = 0, transfo = log2, ylab = "density", xlab = "log intensity", type = "l", col = 1:6, ...)`

### Arguments

`x` | object of class `DataTreeSet` or `ExprTreeSet`.
`which` | type of probes to be used, for details see `validData`.
`size` | length of sequence to be generated as subset.
`transfo` | a valid function to transform the data, usually “log2”, or “0”.
`ylab` | a title for the y axis.
`xlab` | a title for the x axis.
`type` | type for the plot.
`col` | colors to use for the different arrays.
`...` | optional arguments to be passed to `plot`.

### Details

Plots the non-parametric density estimates using values contained in the columns of slot `data`.

For a `DataTreeSet` object, data must first be attached using method `attachInten`.

### Note

For exon array raw data only a limited number of samples can be displayed as density plot due to memory limitations. To display all samples it is proposed to use function `root.density` instead.

### Author(s)

Christian Stratowa

### Examples

    ## load existing ROOT scheme file and ROOT data file
    scheme.test3 <- root.scheme(paste(.path.package("xps"),"schemes/SchemeTest3.root",sep="/"))
    data.test3 <- root.data(scheme.test3, paste(.path.package("xps"),"rootdata/DataTest3_cel.root",sep="/"))

    ## need to attach scheme mask and probe intensities
    data.test3 <- attachMask(data.test3)
    data.test3 <- attachInten(data.test3)

    if (interactive()) {
    hist(data.test3)
    }

    ## optionally remove mask and data to free memory
    data.test3 <- removeInten(data.test3)
    data.test3 <- removeMask(data.test3)

[Package xps version 1.2.10 Index]